# Docs For Class FileMaker_RelatedSet

## Class FileMaker_RelatedSet

Description

Portal description class. Contains all the information about a specific set of related records defined by a portal on a layout.

Located in /FileMaker/RelatedSet.php (line 28)

Method Summary
FileMaker_RelatedSet FileMaker_RelatedSet (FileMaker_Layout &$layout)
FileMaker_Field|FileMaker_Error &getField (string $fieldName)
array &getFields ()
string getName ()
array listFields ()
Methods
Constructor FileMaker_RelatedSet (line 45)

Portal constructor.

FileMaker_RelatedSet FileMaker_RelatedSet (FileMaker_Layout &$layout)

- FileMaker_Layout &$layout: FileMaker_Layout object that this portal is on.

getField (line 79)

Returns a FileMaker_Field object that describes the specified field.

- return: Field object, if successful. Otherwise, an Error object.

FileMaker_Field|FileMaker_Error &getField (string $fieldName)

- string $fieldName: Name of field.

getFields (line 90)

Returns an associative array with the names of all fields as keys and FileMaker_Field objects as the array values.

- return: Array of FileMaker_Field objects.

array &getFields ()
getName (line 56)

Returns the name of the related table from which this portal displays related records.

- return: Name of related table for this portal.

string getName ()
listFields (line 66)

Returns an array of the names of all fields in this portal.

- return: List of field names as strings.

array listFields ()

Documentation generated on Wed, 29 Jun 2011 12:31:23 -0700 by phpDocumentor 1.4.0